Browse Source

Add 'install_requires=' parameter to setup.py.

Added install_requires= to setup.py to track Inception dependencies.

Initial value includes IPython and python_novaclient.

Change-Id: I36e1f1b9cb38acdad6c1f6e2148c1790d26788b4
Andrew Forrest 5 years ago
parent
commit
53e6f000dc
1 changed files with 5 additions and 1 deletions
  1. 5
    1
      setup.py

+ 5
- 1
setup.py View File

@@ -17,4 +17,8 @@ setup(
17 17
     classifiers=["Programming Language :: Python"],
18 18
     url='https://github.com/maoy/inception',
19 19
     packages=["inception"],
20
-    )
20
+    install_requires=[
21
+        "python-novaclient>=2.13.0",
22
+        "IPython>=0.13.2",
23
+    ],
24
+)

Loading…
Cancel
Save